namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "forests_curse")]
public class ForestsCurse : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var battleData = target.BattleData;
        if (battleData == null)
            return;
        var typeLibrary = battleData.Battle.Library.StaticLibrary.Types;
        if (!typeLibrary.TryGetTypeIdentifier("grass", out var grassType))
            return;
        target.AddType(grassType);
    }
}